Download it now!
Bug 68594 - FILEOPEN: LO 4.1 uses wrong colors for power point presentation
Summary: FILEOPEN: LO 4.1 uses wrong colors for power point presentation
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other All
: medium major
Assignee: Muthu
URL:
Whiteboard: target:4.3.0 target:4.2.0.0.beta2
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-08-27 08:24 UTC by Nick42
Modified: 2013-11-25 14:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example power point presentation showing wrong colors in LO4.1 (29.50 KB, application/vnd.ms-powerpoint)
2013-08-27 08:24 UTC, Nick42
Details
Screenshot of 4.1.1.2 (wrong colors) (129.94 KB, image/png)
2013-08-27 12:25 UTC, Maxim Monastirsky
Details
Screenshot of 4.0.5.2 (correct colors) (146.21 KB, image/png)
2013-08-27 12:25 UTC, Maxim Monastirsky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nick42 2013-08-27 08:24:53 UTC
Created attachment 84691 [details]
Example power point presentation showing wrong colors in LO4.1

After installing LibreOffice 4.1 on Ubuntu 12.10 64 bit I received a pps presentation from my manager - listing work items; using "color coding" to express different priorities. Basically the "priorities" were really strange - and after a while I realized that it LibreOffice - using the wrong colors for most of the text on the foils.

I created a similar colored ppt and will attach it to this bug report.
The text in there exactly specifies the "expected" color; and you will find that with LO 4.1, some text has the wrong color.

In my eyes, this is a MAJOR issue - text color can be as important as actual content; and displaying wrong information is a true "data integrity" issue. Such things SHOULD NEVER HAPPEN; and they should be found long before an official release.
Comment 1 Maxim Monastirsky 2013-08-27 12:21:44 UTC
I can confirm this bug using LO 4.1.1.2 on Windows 7 (32-bit), but not with LO 4.0.5.2 (see screenshots below).
Comment 2 Maxim Monastirsky 2013-08-27 12:25:00 UTC
Created attachment 84704 [details]
Screenshot of 4.1.1.2 (wrong colors)
Comment 3 Maxim Monastirsky 2013-08-27 12:25:29 UTC
Created attachment 84705 [details]
Screenshot of 4.0.5.2 (correct colors)
Comment 5 Commit Notification 2013-11-22 14:31:41 UTC
Muthu Subramanian committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=37441c602381804ff186088ee94f045a59aae6e3

fdo#68594: Revert bnc#758621 commit.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2013-11-25 11:44:59 UTC
Muthu Subramanian committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fbfb164bb4447f5a78aff9829df828b9cbde120c&h=libreoffice-4-2

fdo#68594: Revert bnc#758621 commit.


It will be available in LibreOffice 4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2013-11-25 14:01:18 UTC
Muthu Subramanian committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=32f700a683b7faa17c58e6d1aad85915ebd40a1a

fdo#68594: Adding unit test.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.